Enhavo

# DDB Function [VBA]

Returns the depreciation of an asset for a specified period using the arithmetic-declining method.

This constant, function or object is enabled with the statement Option VBASupport 1 placed before the executable program code in a module.

### Syntax:

    DDB(Cost As Double, Salvage As Double, Life as Double, Period as Double, [Factor as Variant])

### Return value:

Double

### Parameters:

Kosto estas la kosto de havaĵo.

Savovaloro estas la valoro de la havaĵo je la fino de ĝia vivo.

Life is the number of periods (for example, years or months) defining how long the asset is to be used.

Periodo difinas la periodon por kiu kalkuli la deprecadon.

Faktoro (maldeviga) estas la faktoro laŭ kiu deprecado malpliiĝas. Se valoro ne estas specifita, la apriora faktoro estas 2.

Uzu ĉi tiun formon de deprecado se vi bezonas pli altan komencan deprecadon, kontraste al lineara deprecado. La depreca valoro mapliiĝas laŭ ĉiu periodo. Oni kutime uzas ĉi tiun formon por havaĵoj kies valorperdo estas pli alta tuj post aĉeto (ekzemple veturiloj, komputiloj). Notu ke la taksita valoro neniam atingos nulon laŭ ĉi tiu kalkula metodo.

### Error codes:

5 Nevalida procedurvoko

### Example:

    Sub ExampleDDB
     Dim ddb_yr1 As Double
     ddb_yr1 = DDB(75000,1,60,12,2)
     Print ddb_yr1 ' returns 1,721.81 currency units.
    End Sub

Rilataj temoj

DDB function in CALC

VBA financial functions